<?xml version="1.0" encoding="UTF-8"?>
<value type="metahash">
    <meta key="Editor" type="hash">
        <value key="Type" type="string">EditingComponent</value>
        <value key="Component" type="string">corr_script</value>
    </meta>

    <value key="Input" merge="@/common/dynamicsequenceselection.xml">
        <meta key="Description" type="string">Data selected as input to the script</meta>
    </value>
    <value key="Output" merge="@/common/dynamicsequenceselection.xml">
        <meta key="Description" type="string">Data extracted as outputs from the script</meta>
    </value>
    <value key="Bypass" merge="@/common/dynamicsequenceselection.xml">
        <meta key="Description" type="string">Data that bypasses the script unchanged even if used as an input</meta>
    </value>

    <value key="Code" type="metastring" merge="@/common/script.xml">
        <meta key="Description" type="string">Script code to execute</meta>
    </value>

    <value key="Mode" type="metastring">
        <meta key="Description" type="string">Script execution mode</meta>
        <meta key="UndefinedDescription" type="string">Fanout</meta>
        <meta key="Editor" type="hash">
            <value key="Type" type="string">Enumeration</value>
            <value key="DefaultCollapsed" type="boolean">true</value>
        </meta>
        <meta key="EnumerationValues" type="hash">
            <value key="Fanout" type="hash">
                <value key="SortPriority" type="integer">0</value>
                <value key="Description" type="string">Fanout controlled processor</value>
            </value>
            <value key="General" type="hash">
                <value key="SortPriority" type="integer">1</value>
                <value key="Description" type="string">Generic full control flow looping</value>
            </value>
            <value key="Processor" type="hash">
                <value key="SortPriority" type="integer">2</value>
                <value key="Description" type="string">Value processor invoked for each input</value>
            </value>
        </meta>
    </value>

    <value key="Type" type="metastring">
        <meta key="Description" type="string">Script value input type</meta>
        <meta key="UndefinedDescription" type="string">Segments</meta>
        <meta key="Editor" type="hash">
            <value key="Type" type="string">Enumeration</value>
            <value key="DefaultCollapsed" type="boolean">true</value>
        </meta>
        <meta key="EnumerationValues" type="hash">
            <value key="Segments" type="hash">
                <value key="SortPriority" type="integer">0</value>
                <value key="Description" type="string">Process values in segments containing all inputs</value>
                <value key="Alias" type="flags">
                    <flag>Segment</flag>
                </value>
            </value>
            <value key="Values" type="hash">
                <value key="SortPriority" type="integer">0</value>
                <value key="Description" type="string">Process values directly from the input stream</value>
                <value key="Alias" type="flags">
                    <flag>Value</flag>
                </value>
            </value>
        </meta>
    </value>

</value>
